SQLPermission (Java SE 25 & JDK 25)
Description: declaration: module: java.sql, package: java.sql, class: SQLPermission
Keywords: java.sql.SQLPermission class

# Class SQLPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.sql.SQLPermission

All Implemented Interfaces:
  `Serializable, Guard`

public final class SQLPermission extends BasicPermission
A `SQLPermission` object contains a name (also referred to as a "target name") but no actions list; there is either a named permission or there is not. The target name is the name of the permission. The naming convention follows the hierarchical property naming convention. In addition, an asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: `loadLibrary.*` and `*` signify a wildcard match, while `*loadLibrary` and `a*b` do not.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Since:
  1.3
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SQLPermission(String name)`
  Creates a new `SQLPermission` object with the specified name.
  `SQLPermission(String name, String actions)`
  Creates a new `SQLPermission` object with the specified name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SQLPermission

    public SQLPermission(String name)
    Creates a new `SQLPermission` object with the specified name. The name is the symbolic name of the `SQLPermission`.
    Parameters:
      `name` - the name of this `SQLPermission` object, which must be either `setLog`, `callAbort`, `setSyncFactory`, `deregisterDriver`, or `setNetworkTimeout`
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.

  - ### SQLPermission

    public SQLPermission(String name, String actions)
    Creates a new `SQLPermission` object with the specified name. The name is the symbolic name of the `SQLPermission`; the actions `String` is currently unused and should be `null`.
    Parameters:
      `name` - the name of this `SQLPermission` object, which must be either `setLog`, `callAbort`, `setSyncFactory`, `deregisterDriver`, or `setNetworkTimeout`
      `actions` - should be `null`
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.